Package org.apache.any23.vocab

## Class ICAL

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.ICAL

-     public class ICAL
      extends Vocabulary

  Vocabulary definitions from `ical.rdf`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `action` | value type: TEXTThis IRI defines the action to be invoked when an alarm is triggered..
    `org.eclipse.rdf4j.model.IRI` | `altrep` | To specify an alternate text representation for the IRI value..
    `org.eclipse.rdf4j.model.IRI` | `attach` | The IRI provides the capability to associate a document object with a calendar component.default value type: IRI.
    `org.eclipse.rdf4j.model.IRI` | `attendee` | The IRI defines an "Attendee" within a calendar component.value type: CAL-ADDRESS.
    `org.eclipse.rdf4j.model.IRI` | `byday` |
    `org.eclipse.rdf4j.model.IRI` | `byhour` |
    `org.eclipse.rdf4j.model.IRI` | `byminute` |
    `org.eclipse.rdf4j.model.IRI` | `bymonth` |
    `org.eclipse.rdf4j.model.IRI` | `bysecond` |
    `org.eclipse.rdf4j.model.IRI` | `bysetpos` |
    `org.eclipse.rdf4j.model.IRI` | `byweekno` |
    `org.eclipse.rdf4j.model.IRI` | `byyearday` |
    `org.eclipse.rdf4j.model.IRI` | `calAddress` |
    `org.eclipse.rdf4j.model.IRI` | `calscale` | value type: TEXTThis IRI defines the calendar scale used for the calendar information specified in the iCalendar object..
    `org.eclipse.rdf4j.model.IRI` | `categories` | value type: TEXTThis IRI defines the categories for a calendar component..
    `org.eclipse.rdf4j.model.IRI` | `class_` | value type: TEXTThis IRI defines the access classification for a calendar component..
    `org.eclipse.rdf4j.model.IRI` | `cn` | To specify the common name to be associated with the calendar user specified by the IRI..
    `org.eclipse.rdf4j.model.IRI` | `comment` | value type: TEXTThis IRI specifies non-processing information intended to provide a comment to the calendar user..
    `org.eclipse.rdf4j.model.IRI` | `completed` | value type: DATE-TIMEThis IRI defines the date and time that a to-do was actually completed..
    `org.eclipse.rdf4j.model.IRI` | `component` |
    `org.eclipse.rdf4j.model.IRI` | `contact` | value type: TEXTThe IRI is used to represent contact information or alternately a reference to contact information associated with the calendar component..
    `org.eclipse.rdf4j.model.IRI` | `count` |
    `org.eclipse.rdf4j.model.IRI` | `created` | This IRI specifies the date and time that the calendar information was created by the calendar user agent in the calendar store.
    `org.eclipse.rdf4j.model.IRI` | `cutype` | To specify the type of calendar user specified by the IRI..
    `org.eclipse.rdf4j.model.IRI` | `DATE_TIME` | ICAL datatype for floating date-time values
    `org.eclipse.rdf4j.model.IRI` | `daylight` |
    `org.eclipse.rdf4j.model.IRI` | `delegatedFrom` | To specify the calendar users that have delegated their participation to the calendar user specified by the IRI..
    `org.eclipse.rdf4j.model.IRI` | `delegatedTo` | To specify the calendar users to whom the calendar user specified by the IRI has delegated participation..
    `org.eclipse.rdf4j.model.IRI` | `description` | value type: TEXTThis IRI provides a more complete description of the calendar component, than that provided by the "SUMMARY" IRI..
    `org.eclipse.rdf4j.model.IRI` | `dir` | To specify reference to a directory entry associated with the calendar user specified by the IRI..
    `org.eclipse.rdf4j.model.IRI` | `DomainOf_rrule` |
    `org.eclipse.rdf4j.model.IRI` | `dtend` | This IRI specifies the date and time that a calendar component ends.default value type: DATE-TIME.
    `org.eclipse.rdf4j.model.IRI` | `dtstamp` | value type: DATE-TIMEThe IRI indicates the date/time that the instance of the iCalendar object was created..
    `org.eclipse.rdf4j.model.IRI` | `dtstart` | default value type: DATE-TIMEThis IRI specifies when the calendar component begins..
    `org.eclipse.rdf4j.model.IRI` | `due` | default value type: DATE-TIMEThis IRI defines the date and time that a to-do is expected to be completed..
    `org.eclipse.rdf4j.model.IRI` | `duration` | The IRI specifies a positive duration of time.value type: DURATION.
    `org.eclipse.rdf4j.model.IRI` | `encoding` | To specify an alternate inline encoding for the IRI value..
    `org.eclipse.rdf4j.model.IRI` | `exdate` | default value type: DATE-TIMEThis IRI defines the list of date/time exceptions for a recurring calendar component..
    `org.eclipse.rdf4j.model.IRI` | `exrule` | This IRI defines a rule or repeating pattern for an exception to a recurrence set.value type: RECUR.
    `org.eclipse.rdf4j.model.IRI` | `fbtype` | To specify the free or busy time type..
    `org.eclipse.rdf4j.model.IRI` | `fmttype` | To specify the content type of a referenced object..
    `org.eclipse.rdf4j.model.IRI` | `freebusy` | The IRI defines one or more free or busy time intervals.value type: PERIOD.
    `org.eclipse.rdf4j.model.IRI` | `freq` |
    `org.eclipse.rdf4j.model.IRI` | `geo` | value type: list of FLOATThis IRI specifies information related to the global position for the activity specified by a calendar component..
    `org.eclipse.rdf4j.model.IRI` | `interval` |
    `org.eclipse.rdf4j.model.IRI` | `language` | To specify the language for text values in a IRI or IRI parameter..
    `org.eclipse.rdf4j.model.IRI` | `lastModified` | value type: DATE-TIMEThe IRI specifies the date and time that the information associated with the calendar component was last revised in the calendar store.
    `org.eclipse.rdf4j.model.IRI` | `List_of_Float` |
    `org.eclipse.rdf4j.model.IRI` | `location` | value type: TEXTThe IRI defines the intended venue for the activity defined by a calendar component..
    `org.eclipse.rdf4j.model.IRI` | `member` | To specify the group or list membership of the calendar user specified by the IRI..
    `org.eclipse.rdf4j.model.IRI` | `method` | value type: TEXTThis IRI defines the iCalendar object method associated with the calendar object..
    `org.eclipse.rdf4j.model.IRI` | `NAMESPACE` | The namespace of the vocabulary as a IRI.
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `organizer` | value type: CAL-ADDRESSThe IRI defines the organizer for a calendar component..
    `org.eclipse.rdf4j.model.IRI` | `partstat` | To specify the participation status for the calendar user specified by the IRI..
    `org.eclipse.rdf4j.model.IRI` | `percentComplete` | value type: INTEGERThis IRI is used by an assignee or delegatee of a to-do to convey the percent completion of a to-do to the Organizer..
    `static String` | `PREFIX` | Recommended prefix for the ICAL namespace
    `org.eclipse.rdf4j.model.IRI` | `priority` | The IRI defines the relative priority for a calendar component.value type: INTEGER.
    `org.eclipse.rdf4j.model.IRI` | `prodid` | value type: TEXTThis IRI specifies the identifier for the product that created the iCalendar object..
    `org.eclipse.rdf4j.model.IRI` | `range` | To specify the effective range of recurrence instances from the instance specified by the recurrence identifier specified by the IRI..
    `org.eclipse.rdf4j.model.IRI` | `rdate` | default value type: DATE-TIMEThis IRI defines the list of date/times for a recurrence set..
    `org.eclipse.rdf4j.model.IRI` | `recurrenceId` | default value type: DATE-TIMEThis IRI is used in conjunction with the "UID" and "SEQUENCE" IRI to identify a specific instance of a recurring "VEVENT", "VTODO" or "VJOURNAL" calendar component.
    `org.eclipse.rdf4j.model.IRI` | `related` | To specify the relationship of the alarm trigger with respect to the start or end of the calendar component..
    `org.eclipse.rdf4j.model.IRI` | `relatedTo` | The IRI is used to represent a relationship or reference between one calendar component and another.value type: TEXT.
    `org.eclipse.rdf4j.model.IRI` | `reltype` | To specify the type of hierarchical relationship associated with the calendar component specified by the IRI..
    `org.eclipse.rdf4j.model.IRI` | `repeat` | This IRI defines the number of time the alarm should be repeated, after the initial trigger.value type: INTEGER.
    `org.eclipse.rdf4j.model.IRI` | `requestStatus` | value type: TEXTThis IRI defines the status code returned for a scheduling request..
    `org.eclipse.rdf4j.model.IRI` | `resources` | value type: TEXTThis IRI defines the equipment or resources anticipated for an activity specified by a calendar entity...
    `org.eclipse.rdf4j.model.IRI` | `role` | To specify the participation role for the calendar user specified by the IRI..
    `org.eclipse.rdf4j.model.IRI` | `rrule` | This IRI defines a rule or repeating pattern for recurring events, to-dos, or time zone definitions.value type: RECUR.
    `org.eclipse.rdf4j.model.IRI` | `rsvp` | To specify whether there is an expectation of a favor of a reply from the calendar user specified by the IRI value..
    `org.eclipse.rdf4j.model.IRI` | `sentBy` | To specify the calendar user that is acting on behalf of the calendar user specified by the IRI..
    `org.eclipse.rdf4j.model.IRI` | `sequence` | value type: integerThis IRI defines the revision sequence number of the calendar component within a sequence of revisions..
    `org.eclipse.rdf4j.model.IRI` | `standard` |
    `org.eclipse.rdf4j.model.IRI` | `status` | value type: TEXTThis IRI defines the overall status or confirmation for the calendar component..
    `org.eclipse.rdf4j.model.IRI` | `summary` | This IRI defines a short summary or subject for the calendar component.value type: TEXT.
    `org.eclipse.rdf4j.model.IRI` | `transp` | This IRI defines whether an event is transparent or not to busy time searches.value type: TEXT.
    `org.eclipse.rdf4j.model.IRI` | `trigger` | This IRI specifies when an alarm will trigger.default value type: DURATION.
    `org.eclipse.rdf4j.model.IRI` | `tzid` | value type: TEXTTo specify the identifier for the time zone definition for a time component in the IRI value.This IRI specifies the text value that uniquely identifies the "VTIMEZONE" calendar component..
    `org.eclipse.rdf4j.model.IRI` | `tzname` | value type: TEXTThis IRI specifies the customary designation for a time zone description..
    `org.eclipse.rdf4j.model.IRI` | `tzoffsetfrom` | value type: UTC-OFFSETThis IRI specifies the offset which is in use prior to this time zone observance..
    `org.eclipse.rdf4j.model.IRI` | `tzoffsetto` | value type: UTC-OFFSETThis IRI specifies the offset which is in use in this time zone observance..
    `org.eclipse.rdf4j.model.IRI` | `tzurl` | The TZURL provides a means for a VTIMEZONE component to point to a network location that can be used to retrieve an up-to- date version of itself.value type: IRI.
    `org.eclipse.rdf4j.model.IRI` | `uid` | This IRI defines the persistent, globally unique identifier for the calendar component.value type: TEXT.
    `org.eclipse.rdf4j.model.IRI` | `until` |
    `org.eclipse.rdf4j.model.IRI` | `url` | This IRI defines a Uniform IRI Locator (URL) associated with the iCalendar object.value type: IRI.
    `org.eclipse.rdf4j.model.IRI` | `Valarm` | Provide a grouping of component properties that define an alarm..
    `org.eclipse.rdf4j.model.IRI` | `Value_CAL_ADDRESS` |
    `org.eclipse.rdf4j.model.IRI` | `Value_DATE` |
    `org.eclipse.rdf4j.model.IRI` | `Value_DATE_TIME` |
    `org.eclipse.rdf4j.model.IRI` | `Value_DURATION` |
    `org.eclipse.rdf4j.model.IRI` | `Value_PERIOD` |
    `org.eclipse.rdf4j.model.IRI` | `Value_RECUR` |
    `org.eclipse.rdf4j.model.IRI` | `Vcalendar` |
    `org.eclipse.rdf4j.model.IRI` | `version` | value type: TEXTThis IRI specifies the identifier corresponding to the highest version number or the minimum and maximum range of the iCalendar specification that is required in order to interpret the iCalendar object..
    `org.eclipse.rdf4j.model.IRI` | `Vevent` | Provide a grouping of component properties that describe an event..
    `org.eclipse.rdf4j.model.IRI` | `Vfreebusy` | Provide a grouping of component properties that describe either a request for free/busy time, describe a response to a request for free/busy time or describe a published set of busy time..
    `org.eclipse.rdf4j.model.IRI` | `Vjournal` | Provide a grouping of component properties that describe a journal entry..
    `org.eclipse.rdf4j.model.IRI` | `Vtimezone` | Provide a grouping of component properties that defines a time zone..
    `org.eclipse.rdf4j.model.IRI` | `Vtodo` | Provide a grouping of calendar properties that describe a to-do..
    `org.eclipse.rdf4j.model.IRI` | `wkst` |
    `org.eclipse.rdf4j.model.IRI` | `X_` | value type: TEXTThis class of IRI provides a framework for defining non-standard properties..

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ICAL` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the ICAL namespace
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public final org.eclipse.rdf4j.model.IRI NAMESPACE

      The namespace of the vocabulary as a IRI.

    - #### DomainOf_rrule

          public final org.eclipse.rdf4j.model.IRI DomainOf_rrule

    - #### List_of_Float

          public final org.eclipse.rdf4j.model.IRI List_of_Float

    - #### Valarm

          public final org.eclipse.rdf4j.model.IRI Valarm

      Provide a grouping of component properties that define an alarm..

    - #### Value_CAL_ADDRESS

          public final org.eclipse.rdf4j.model.IRI Value_CAL_ADDRESS

    - #### Value_DATE

          public final org.eclipse.rdf4j.model.IRI Value_DATE

    - #### Value_DATE_TIME

          public final org.eclipse.rdf4j.model.IRI Value_DATE_TIME

    - #### DATE_TIME

          public final org.eclipse.rdf4j.model.IRI DATE_TIME

      ICAL datatype for floating date-time values

    - #### Value_DURATION

          public final org.eclipse.rdf4j.model.IRI Value_DURATION

    - #### Value_PERIOD

          public final org.eclipse.rdf4j.model.IRI Value_PERIOD

    - #### Value_RECUR

          public final org.eclipse.rdf4j.model.IRI Value_RECUR

    - #### Vcalendar

          public final org.eclipse.rdf4j.model.IRI Vcalendar

    - #### Vevent

          public final org.eclipse.rdf4j.model.IRI Vevent

      Provide a grouping of component properties that describe an event..

    - #### Vfreebusy

          public final org.eclipse.rdf4j.model.IRI Vfreebusy

      Provide a grouping of component properties that describe either a request for free/busy time, describe a response to a request for free/busy time or describe a published set of busy time..

    - #### Vjournal

          public final org.eclipse.rdf4j.model.IRI Vjournal

      Provide a grouping of component properties that describe a journal entry..

    - #### Vtimezone

          public final org.eclipse.rdf4j.model.IRI Vtimezone

      Provide a grouping of component properties that defines a time zone..

    - #### Vtodo

          public final org.eclipse.rdf4j.model.IRI Vtodo

      Provide a grouping of calendar properties that describe a to-do..

    - #### attach

          public final org.eclipse.rdf4j.model.IRI attach

      The IRI provides the capability to associate a document object with a calendar component.default value type: IRI.

    - #### attendee

          public final org.eclipse.rdf4j.model.IRI attendee

      The IRI defines an "Attendee" within a calendar component.value type: CAL-ADDRESS.

    - #### calAddress

          public final org.eclipse.rdf4j.model.IRI calAddress

    - #### component

          public final org.eclipse.rdf4j.model.IRI component

    - #### daylight

          public final org.eclipse.rdf4j.model.IRI daylight

    - #### duration

          public final org.eclipse.rdf4j.model.IRI duration

      The IRI specifies a positive duration of time.value type: DURATION.

    - #### exrule

          public final org.eclipse.rdf4j.model.IRI exrule

      This IRI defines a rule or repeating pattern for an exception to a recurrence set.value type: RECUR.

    - #### freebusy

          public final org.eclipse.rdf4j.model.IRI freebusy

      The IRI defines one or more free or busy time intervals.value type: PERIOD.

    - #### geo

          public final org.eclipse.rdf4j.model.IRI geo

      value type: list of FLOATThis IRI specifies information related to the global position for the activity specified by a calendar component..

    - #### organizer

          public final org.eclipse.rdf4j.model.IRI organizer

      value type: CAL-ADDRESSThe IRI defines the organizer for a calendar component..

    - #### rrule

          public final org.eclipse.rdf4j.model.IRI rrule

      This IRI defines a rule or repeating pattern for recurring events, to-dos, or time zone definitions.value type: RECUR.

    - #### standard

          public final org.eclipse.rdf4j.model.IRI standard

    - #### trigger

          public final org.eclipse.rdf4j.model.IRI trigger

      This IRI specifies when an alarm will trigger.default value type: DURATION.

    - #### tzurl

          public final org.eclipse.rdf4j.model.IRI tzurl

      The TZURL provides a means for a VTIMEZONE component to point to a network location that can be used to retrieve an up-to- date version of itself.value type: IRI.

    - #### url

          public final org.eclipse.rdf4j.model.IRI url

      This IRI defines a Uniform IRI Locator (URL) associated with the iCalendar object.value type: IRI.

    - #### X_

          public final org.eclipse.rdf4j.model.IRI X_

      value type: TEXTThis class of IRI provides a framework for defining non-standard properties..

    - #### action

          public final org.eclipse.rdf4j.model.IRI action

      value type: TEXTThis IRI defines the action to be invoked when an alarm is triggered..

    - #### altrep

          public final org.eclipse.rdf4j.model.IRI altrep

      To specify an alternate text representation for the IRI value..

    - #### byday

          public final org.eclipse.rdf4j.model.IRI byday

    - #### byhour

          public final org.eclipse.rdf4j.model.IRI byhour

    - #### byminute

          public final org.eclipse.rdf4j.model.IRI byminute

    - #### bymonth

          public final org.eclipse.rdf4j.model.IRI bymonth

    - #### bysecond

          public final org.eclipse.rdf4j.model.IRI bysecond

    - #### bysetpos

          public final org.eclipse.rdf4j.model.IRI bysetpos

    - #### byweekno

          public final org.eclipse.rdf4j.model.IRI byweekno

    - #### byyearday

          public final org.eclipse.rdf4j.model.IRI byyearday

    - #### wkst

          public final org.eclipse.rdf4j.model.IRI wkst

    - #### calscale

          public final org.eclipse.rdf4j.model.IRI calscale

      value type: TEXTThis IRI defines the calendar scale used for the calendar information specified in the iCalendar object..

    - #### categories

          public final org.eclipse.rdf4j.model.IRI categories

      value type: TEXTThis IRI defines the categories for a calendar component..

    - #### class_

          public final org.eclipse.rdf4j.model.IRI class_

      value type: TEXTThis IRI defines the access classification for a calendar component..

    - #### cn

          public final org.eclipse.rdf4j.model.IRI cn

      To specify the common name to be associated with the calendar user specified by the IRI..

    - #### comment

          public final org.eclipse.rdf4j.model.IRI comment

      value type: TEXTThis IRI specifies non-processing information intended to provide a comment to the calendar user..

    - #### completed

          public final org.eclipse.rdf4j.model.IRI completed

      value type: DATE-TIMEThis IRI defines the date and time that a to-do was actually completed..

    - #### contact

          public final org.eclipse.rdf4j.model.IRI contact

      value type: TEXTThe IRI is used to represent contact information or alternately a reference to contact information associated with the calendar component..

    - #### count

          public final org.eclipse.rdf4j.model.IRI count

    - #### created

          public final org.eclipse.rdf4j.model.IRI created

      This IRI specifies the date and time that the calendar information was created by the calendar user agent in the calendar store. Note: This is analogous to the creation date and time for a file in the file system.value type: DATE-TIME.

    - #### cutype

          public final org.eclipse.rdf4j.model.IRI cutype

      To specify the type of calendar user specified by the IRI..

    - #### delegatedFrom

          public final org.eclipse.rdf4j.model.IRI delegatedFrom

      To specify the calendar users that have delegated their participation to the calendar user specified by the IRI..

    - #### delegatedTo

          public final org.eclipse.rdf4j.model.IRI delegatedTo

      To specify the calendar users to whom the calendar user specified by the IRI has delegated participation..

    - #### description

          public final org.eclipse.rdf4j.model.IRI description

      value type: TEXTThis IRI provides a more complete description of the calendar component, than that provided by the "SUMMARY" IRI..

    - #### dir

          public final org.eclipse.rdf4j.model.IRI dir

      To specify reference to a directory entry associated with the calendar user specified by the IRI..

    - #### dtend

          public final org.eclipse.rdf4j.model.IRI dtend

      This IRI specifies the date and time that a calendar component ends.default value type: DATE-TIME.

    - #### dtstamp

          public final org.eclipse.rdf4j.model.IRI dtstamp

      value type: DATE-TIMEThe IRI indicates the date/time that the instance of the iCalendar object was created..

    - #### dtstart

          public final org.eclipse.rdf4j.model.IRI dtstart

      default value type: DATE-TIMEThis IRI specifies when the calendar component begins..

    - #### due

          public final org.eclipse.rdf4j.model.IRI due

      default value type: DATE-TIMEThis IRI defines the date and time that a to-do is expected to be completed..

    - #### encoding

          public final org.eclipse.rdf4j.model.IRI encoding

      To specify an alternate inline encoding for the IRI value..

    - #### exdate

          public final org.eclipse.rdf4j.model.IRI exdate

      default value type: DATE-TIMEThis IRI defines the list of date/time exceptions for a recurring calendar component..

    - #### fbtype

          public final org.eclipse.rdf4j.model.IRI fbtype

      To specify the free or busy time type..

    - #### fmttype

          public final org.eclipse.rdf4j.model.IRI fmttype

      To specify the content type of a referenced object..

    - #### freq

          public final org.eclipse.rdf4j.model.IRI freq

    - #### interval

          public final org.eclipse.rdf4j.model.IRI interval

    - #### language

          public final org.eclipse.rdf4j.model.IRI language

      To specify the language for text values in a IRI or IRI parameter..

    - #### lastModified

          public final org.eclipse.rdf4j.model.IRI lastModified

      value type: DATE-TIMEThe IRI specifies the date and time that the information associated with the calendar component was last revised in the calendar store. Note: This is analogous to the modification date and time for a file in the file system..

    - #### location

          public final org.eclipse.rdf4j.model.IRI location

      value type: TEXTThe IRI defines the intended venue for the activity defined by a calendar component..

    - #### member

          public final org.eclipse.rdf4j.model.IRI member

      To specify the group or list membership of the calendar user specified by the IRI..

    - #### method

          public final org.eclipse.rdf4j.model.IRI method

      value type: TEXTThis IRI defines the iCalendar object method associated with the calendar object..

    - #### partstat

          public final org.eclipse.rdf4j.model.IRI partstat

      To specify the participation status for the calendar user specified by the IRI..

    - #### percentComplete

          public final org.eclipse.rdf4j.model.IRI percentComplete

      value type: INTEGERThis IRI is used by an assignee or delegatee of a to-do to convey the percent completion of a to-do to the Organizer..

    - #### priority

          public final org.eclipse.rdf4j.model.IRI priority

      The IRI defines the relative priority for a calendar component.value type: INTEGER.

    - #### prodid

          public final org.eclipse.rdf4j.model.IRI prodid

      value type: TEXTThis IRI specifies the identifier for the product that created the iCalendar object..

    - #### range

          public final org.eclipse.rdf4j.model.IRI range

      To specify the effective range of recurrence instances from the instance specified by the recurrence identifier specified by the IRI..

    - #### rdate

          public final org.eclipse.rdf4j.model.IRI rdate

      default value type: DATE-TIMEThis IRI defines the list of date/times for a recurrence set..

    - #### recurrenceId

          public final org.eclipse.rdf4j.model.IRI recurrenceId

      default value type: DATE-TIMEThis IRI is used in conjunction with the "UID" and "SEQUENCE" IRI to identify a specific instance of a recurring "VEVENT", "VTODO" or "VJOURNAL" calendar component. The IRI value is the effective value of the "DTSTART" IRI of the recurrence instance..

    - #### related

          public final org.eclipse.rdf4j.model.IRI related

      To specify the relationship of the alarm trigger with respect to the start or end of the calendar component..

    - #### relatedTo

          public final org.eclipse.rdf4j.model.IRI relatedTo

      The IRI is used to represent a relationship or reference between one calendar component and another.value type: TEXT.

    - #### reltype

          public final org.eclipse.rdf4j.model.IRI reltype

      To specify the type of hierarchical relationship associated with the calendar component specified by the IRI..

    - #### repeat

          public final org.eclipse.rdf4j.model.IRI repeat

      This IRI defines the number of time the alarm should be repeated, after the initial trigger.value type: INTEGER.

    - #### requestStatus

          public final org.eclipse.rdf4j.model.IRI requestStatus

      value type: TEXTThis IRI defines the status code returned for a scheduling request..

    - #### resources

          public final org.eclipse.rdf4j.model.IRI resources

      value type: TEXTThis IRI defines the equipment or resources anticipated for an activity specified by a calendar entity...

    - #### role

          public final org.eclipse.rdf4j.model.IRI role

      To specify the participation role for the calendar user specified by the IRI..

    - #### rsvp

          public final org.eclipse.rdf4j.model.IRI rsvp

      To specify whether there is an expectation of a favor of a reply from the calendar user specified by the IRI value..

    - #### sentBy

          public final org.eclipse.rdf4j.model.IRI sentBy

      To specify the calendar user that is acting on behalf of the calendar user specified by the IRI..

    - #### sequence

          public final org.eclipse.rdf4j.model.IRI sequence

      value type: integerThis IRI defines the revision sequence number of the calendar component within a sequence of revisions..

    - #### status

          public final org.eclipse.rdf4j.model.IRI status

      value type: TEXTThis IRI defines the overall status or confirmation for the calendar component..

    - #### summary

          public final org.eclipse.rdf4j.model.IRI summary

      This IRI defines a short summary or subject for the calendar component.value type: TEXT.

    - #### transp

          public final org.eclipse.rdf4j.model.IRI transp

      This IRI defines whether an event is transparent or not to busy time searches.value type: TEXT.

    - #### tzid

          public final org.eclipse.rdf4j.model.IRI tzid

      value type: TEXTTo specify the identifier for the time zone definition for a time component in the IRI value.This IRI specifies the text value that uniquely identifies the "VTIMEZONE" calendar component..

    - #### tzname

          public final org.eclipse.rdf4j.model.IRI tzname

      value type: TEXTThis IRI specifies the customary designation for a time zone description..

    - #### tzoffsetfrom

          public final org.eclipse.rdf4j.model.IRI tzoffsetfrom

      value type: UTC-OFFSETThis IRI specifies the offset which is in use prior to this time zone observance..

    - #### tzoffsetto

          public final org.eclipse.rdf4j.model.IRI tzoffsetto

      value type: UTC-OFFSETThis IRI specifies the offset which is in use in this time zone observance..

    - #### uid

          public final org.eclipse.rdf4j.model.IRI uid

      This IRI defines the persistent, globally unique identifier for the calendar component.value type: TEXT.

    - #### until

          public final org.eclipse.rdf4j.model.IRI until

    - #### version

          public final org.eclipse.rdf4j.model.IRI version

      value type: TEXTThis IRI specifies the identifier corresponding to the highest version number or the minimum and maximum range of the iCalendar specification that is required in order to interpret the iCalendar object..

  - ### Method Detail

    - #### getInstance

          public static ICAL getInstance()